# eric6.E5Gui.E5StringListEditWidget

Module implementing a dialog to edit a list of strings.

### Global Attributes

None

### Classes

E5StringListEditWidget | Class implementing a dialog to edit a list of strings.

### Functions

None

## E5StringListEditWidget

Class implementing a dialog to edit a list of strings.

### Signals

setToDefault()
  emitted to request the default list of values

### Derived from

QWidget, Ui_E5StringListEditWidget

### Class Attributes

None

### Class Methods

None

### Methods

E5StringListEditWidget | Constructor
getList | Public method to get the edited list of strings.
on_addButton_clicked | Private slot to add an entry to the list.
setDefaultVisible | Public method to show or hide the default button.
setList | Public method to set the list of strings to be edited.
setListWhatsThis | Public method to set a what's that help text for the string list.

### Static Methods

None

#### E5StringListEditWidget (Constructor)

E5StringListEditWidget(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5StringListEditWidget.getList

getList()

Public method to get the edited list of strings.

Returns:
  edited list of string (list of string)

#### E5StringListEditWidget.on_addButton_clicked

on_addButton_clicked()

Private slot to add an entry to the list.

#### E5StringListEditWidget.setDefaultVisible

setDefaultVisible(visible)

Public method to show or hide the default button.

visible (bool)
  flag indicating the visibility of the default button

#### E5StringListEditWidget.setList

setList(stringList)

Public method to set the list of strings to be edited.

stringList
  list of strings to be edited (list of string)

#### E5StringListEditWidget.setListWhatsThis

setListWhatsThis(txt)

Public method to set a what's that help text for the string list.

txt
  help text to be set (string)

Up